.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 18px 40px;
    background: #f7f4EB;
    border-bottom: 1px solid #e0D6CC;
    position: relative;
}

.logo {
    font-weight: 700;
    letter-spacing: 1px;
    font-size: 20px;
    color: #321110;
    text-decoration: none;
}

.nav-links {
    display: flex;
    gap: 24px;
}

.nav-links a {
    text-decoration: none;
    color: #100E10;
    font-size: 14px;
    font-weight: 500;
    position: relative;
}

.nav-links a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px;
    width: 0;
    height: 2px;
    background: #955643;
    transition: width 0.3s ease;
}

.nav-links a:hover::after {
    width: 100%;
}

.menu-toggle {
    display: none;
    flex-direction: column;
    gap: 5px;
    cursor: pointer;
}

.menu-toggle span {
    width: 24px;
    height: 2px;
    background: #321110;
    transition: 0.3s;
}

@media (max-width: 768px) {

    .navbar {
        padding: 16px 20px;
    }

    .menu-toggle {
        display: flex;
    }

    .nav-links {
        position: absolute;
        top: 100%;
        right: 0;
        background: #f7f4EB;
        width: 100%;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        padding: 20px 0;
        display: none;
        border-bottom: 1px solid #e0D6CC;
    }

    .nav-links.active {
        display: flex;
    }

    .nav-links a {
        font-size: 16px;
    }
}
